## tp-nagios-plugins 0.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# "based" on template Makefile for most debian packages version 0.20~rc1
+# Copyrigth: 2005-2014 Instituto Superior Técnico
+# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>
+
+# License: GPL2+ with OpenSSL exception
+
+
+# "based" on template Makefile for most debian packages version 0.24
 
 PACKNAME=$(shell dh_listpackages)
 SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
@@ -12,7 +18,7 @@
 else
 NATIVE=0
 endif
-MDIST=squeeze
+MDIST=wheezy
 DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
 SECTION=main
 #CATEG=my_sources
@@ -36,20 +42,11 @@
 ifeq ($(NATIVE),0)
 DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
 DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
+#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
 else
 DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
 DISTFILES=$(DISTFILE)
 endif
-
-# main
-REPOSTARGETDIR=/srv/web/deb-ppa.calhariz.com/deb-ppa/
-
-INCOMINGDIR=incoming-changes
-REPOSHOST=root@deb-ppa.calhariz.com
-REPOSTARGET=$(REPOSHOST):$(REPOSTARGETDIR)
-
-
-REPOSARCH=~/debian/$(SECTION)/$(CATEG)/$(SOURCENAME)
 
 
 all:
@@ -57,27 +54,49 @@
 	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)
 
 
-configure:configure-up-stamp
+unpack:unpack-up-stamp
+unpack-up-stamp:
+	#unzip $(ZIPFILE)
+	#unzip $(ZIPFILE) -d $(ZIPDIR)
+	#mkdir untar
+	#tar xzf $(TARFILE) -C untar
+	#Prepare files for patching
+	touch unpack-up-stamp
+
+
+#configure:unpack debian/stamp-patched configure-up-stamp
+configure:unpack configure-up-stamp
 configure-up-stamp:
 	touch configure-up-stamp
 
 
-build:configure build-up-stamp
-build-up-stamp:
-	touch build-up-stamp
+build-arch: configure build-arch-up-stamp
+build-arch-up-stamp:
+	touch build-arch-up-stamp
+
+
+build-indep: configure build-indep-up-stamp
+build-indep-up-stamp:
+	touch build-indep-up-stamp
+
+
+build: build-arch build-indep
 
 
 install:build install-up-stamp
 install-up-stamp:
-	[ -d $(LIBDIR)/plugins ] || mkdir -p $(DESTDIR)$(LIBDIR)
+	[ -d $(DESTDIR)$(LIBDIR) ] || mkdir -p $(DESTDIR)$(LIBDIR)
+	[ -d $(DESTDIR)$(ETCDIR) ] || mkdir -p $(DESTDIR)$(ETCDIR)
 	cp nagios-plugins/check_* $(DESTDIR)$(LIBDIR)
 	cp nagios-plugins-tp/plugins/check_* $(DESTDIR)$(LIBDIR)
+	cp etc-tp-nagios-plugins/check_* $(DESTDIR)$(ETCDIR)
 	touch install-up-stamp
 
 
 clean:
 	find -name '*~' -exec rm {} \;
-	rm -f configure-up-stamp unpack-up-stamp build-up-stamp install-up-stamp
+	rm -rf $(ZIPDIR) untar build-dir
+	rm -f  configure-up-stamp unpack-up-stamp build-arch-up-stamp build-indep-up-stamp build-up-stamp install-up-stamp
 
 
 # Create the files ready for distribution, need to be run in a dir
@@ -122,11 +141,7 @@
 
 # Upload the packages and the distribution files into the rigth places
 upload:	
-	#mkdir -p $(REPOSARCH)
-	cp -ia ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSARCH)
-	rsync -z -rlptSPH -v ../$(SOURCENAME)_$(VER)* ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSTARGET)/$(INCOMINGDIR)
-	ssh $(REPOSHOST) "cd $(REPOSTARGETDIR) ; reprepro -V --delete include $(DIST) $(REPOSTARGETDIR)/$(INCOMINGDIR)/*_$(DEBVER)_*.changes"
-
+	make -f ../upload upload
 
 # Make tags of the sources as documented by subversion
 tag:
