=== debian/changelog ===
tp-nagios-plugins (0.13-1) stretch; urgency=medium

  * Update debian/rules to version 0.30.
  * Add plugin to check disks on Dell Boss controllers.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Wed, 12 Feb 2020 14:57:15 +0000

tp-nagios-plugins (0.12-1) stretch; urgency=medium

  * Wrong debian version in previous upload, bump upstream version and fix
    debian version.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Wed, 12 Feb 2020 14:55:20 +0000

tp-nagios-plugins (0.11-3) stretch; urgency=medium

  * check_smart: increase devices on megaraid to 70

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Wed, 12 Feb 2020 14:35:22 +0000

tp-nagios-plugins (0.10-2) stretch; urgency=low

  * Update Debian rules and Makefile to use /usr/share/dpkg/pkg-info.mk.
  * Bump debhelper mode to 11, no changes needed.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Sun, 02 Feb 2020 14:19:16 +0000

tp-nagios-plugins (0.10-1) stretch; urgency=low

  * check_smartd: fix a typo that broke on Debian 9 and 10.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Fri, 10 Jan 2020 18:32:20 +0000

tp-nagios-plugins (0.9-1) wheezy; urgency=low

  * check_lsi_array: drop use of sudo for calling storcli.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Wed, 26 Feb 2014 15:30:50 +0000

tp-nagios-plugins (0.8-1) wheezy; urgency=low

  * check_smart: modifications to read Health Status from ata and scsi
    disks simultaneous

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Wed, 26 Feb 2014 15:06:31 +0000

tp-nagios-plugins (0.7-2) wheezy; urgency=low

  * Set distribution to wheezy.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 24 Feb 2014 16:55:34 +0000

tp-nagios-plugins (0.7-1) UNRELEASED; urgency=low

  * check_iscsi_login: should iscsiadm -m node logout before exit, not
    after.
  * New release

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 24 Feb 2014 16:54:35 +0000

tp-nagios-plugins (0.6-1) wheezy; urgency=low

  * Add configurable plugin check_iscsi_login.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 21 Feb 2014 17:26:42 +0000

tp-nagios-plugins (0.5-2) wheezy; urgency=low

  * Revert package rename.
  * Add depend on sudo.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 20 Feb 2014 20:36:34 +0000

tp-nagios-plugins (0.5-1) wheezy; urgency=low

  * New release: add plugin check_lsi_raid
  * Update Makefile to version 0.24
  * Update debian/rules to version 0.24
  * Update debian/control for DSI.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 20 Feb 2014 19:13:11 +0000

tp-nagios-plugins (0.4-1) squeeze; urgency=low

  * nagios-plugins/check_smartd: check if device exist before running
    smart check.

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Wed, 31 Oct 2012 20:13:22 +0000

tp-nagios-plugins (0.3-1) squeeze; urgency=low

  * Improve check_smart for using sat interface, i.e. SATA disks.
  * Update makefile to version 0.20~rc1

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Wed, 31 Oct 2012 18:31:04 +0000

tp-nagios-plugins (0.2-1) updates; urgency=low

  * improved check_smart for testing cciss, megaraid and 3ware drives, old
    version is called check_smart_old
  * added plugin check_smartd that read smartd.conf and checks SMART
    information for all disks.
  * it seams to work on etch

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 28 Jul 2010 19:30:01 +0100

tp-nagios-plugins (0.1-2) updates; urgency=low

  * Install plugins in /usr/lib/tp-nagios-plugins instead
    /usr/lib/tp-nagios-plugins/plugins
  * Architecture changed from any to all

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 16 Jul 2010 11:41:07 +0100

tp-nagios-plugins (0.1-1) updates; urgency=low

  * Preparing a package with important nagios plugins for CIIST-TP

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sat, 10 Jul 2010 19:39:25 +0100

deb-template (0.4-1) unstable; urgency=low

  * use varible to indicate repository directory for dropping the files

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue,  2 Jun 2009 08:05:50 +0100

deb-template (0.3-1) unstable; urgency=low

  * changes on what files are added to SVN during tagging a new version

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sat,  4 Apr 2009 23:25:52 +0100

deb-template (0.2-1) unstable; urgency=low

  * command read wihout a variable is a bashism
  * I don't append the version of software to the base directory
  * tag the makefile with a version, to be easier to check if the
    derivatives are updated

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 20 Aug 2008 13:17:40 +0100

deb-template (0.0-1) unstable; urgency=low

  * Initial Release.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue,  8 Nov 2005 15:51:17 +0000
