=== debian/control ===
Source: tp-nagios-plugins
Section: dsi
Priority: optional
Maintainer: Jose M Calhariz <jose.calhariz@ist.utl.pt>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.6.1

Package: tp-nagios-plugins
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, nagios-plugins-basic, 
 sudo,
Suggests: tw-cli, smartmontools, python (>= 2.3), python-ldap, expect, 
 storcli, 
Description: Plugins for the nagios system that are used in DSI
 Nagios is a host/service/network monitoring and management system.
 .
 This package provides the suite of plugins that are most likely to be
 useful on a central nagios host on DSI.
